Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Arash Esbati <[email-masked]>
Date: Mon, 17 Oct 2022 13:59:35 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> So I've now implemented Stefan's suggestion (i.e., just putting a
> puthash into the .elc file if the file-local variable says so), and it
> seems to work fine.

Thanks for looking at this.  When I re-start Emacs (after initial
native-compiling all .elc files I'm using), it creates a
*Async-native-compile-log* buffer with this single line in it:

  Compilation finished.

Is this the intended behavior?  I.e., will there always be the
*Async-native-compile-log* at start up telling me that no new .elc file
was compiled?

Best, Arash